[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.Arc

Use Arc to draw an elliptically curved line with the current Pen.

## Declaration

Source position: graphics.pp line 1102

`public procedure TCanvas.Arc(`
`ALeft: Integer;`
`ATop: Integer;`
`ARight: Integer;`
`ABottom: Integer;`
`Angle16Deg: Integer;`
`Angle16DegLength: Integer`
`); virtual; procedure TCanvas.Arc(`
`ALeft: Integer;`
`ATop: Integer;`
`ARight: Integer;`
`ABottom: Integer;`
`SX: Integer;`
`SY: Integer;`
`EX: Integer;`
`EY: Integer`
`); virtual;`

## Arguments

`ALeft` |  | Left boundary for the canvas.
`ATop` |  | Top boundary for the canvas.
`ARight` |  | Right boundary for the canvas.
`ABottom` |  | Bottom boundary for the canvas.
`Angle16Deg` |  | Angle for the arc segment in 1/16ths of a degree.
`Angle16DegLength` |  | Arc length.

## Arguments

`ALeft` |  | Left boundary for the canvas.
`ATop` |  | Top boundary for the canvas.
`ARight` |  | Right boundary for the canvas.
`ABottom` |  | Bottom boundary for the canvas.
`SX` |  | Horizontal coordinate for the starting radial point in the arc.
`SY` |  | Vertical coordinate for the starting radial point in the arc.
`EX` |  | Horizontal coordinate for the ending radial point in the arc.
`EY` |  | Vertical coordinate for the ending radial point in the arc.

## Description

Use Arc to draw an elliptically curved line with the current Pen. Arc is re-introduced in TCanvas to provide additional overloads for the method found in the platform-specific LCL interface object. Parameter values passed to the overloaded methods are in turn passed to the widgetset class for the platform.

ALeft, ATop, ABottom, and ARight represent the canvas bounds in which the drawing operation is performed.

One variant of the method provides the Angle16Deg and Angle16DegLength arguments.

Angle16Deg contains the central angle which defines the direction for the arc endpoint. Positive values indicate a counter-clockwise direction.Zero degrees lies at the 3 o'clock position. These value is expressed in 1/16ths of a degree. For example, a full circle equals 5760 (16*360) increments.

Angle16DegLength contains the arc length used to determine the over-all circumference of the circle for with the arc is a segment.

Another variant provides the SX, SY and EX, EY arguments representing the starting and ending radial points between which the Arc is drawn.

## Version info

Drawing methods which reintroduce those in the TFPCustomCanvas ancestor class were added in LCL version 2.6.1.